spreadView-class {MVCClass} | R Documentation

## Class "spreadView": A class to represent a spreadsheet view

### Description

spreadView is a class to represent a view that is a spreadsheet. spreadView inherits from the virtual class, genView.

### Objects from the Class

Objects can be created by calls of the form `new("spreadView", ...)`. The initialize method for this class will be created in other packages that use this package (for example, the initialize method will be created in the iSNetwork and iSPlot packages).

### Slots

`clist`:
  an object of class `"GtkCList"`, i.e. the spreadsheet
`dataName`:
  a character string describing what data are shown in the view
`win`:
  an object of class `"GtkWindow"` that holds the view
`winNum`:
  a number that tells what number view this is (for example, the first view created will have winNum=1)

### Extends

Class `"genView"`, directly.

### Methods

clist<-
  Sets the `clist` slot
clist
  Returns the `clist` slot

This class will also have a clickEvent method, which will be called whenever a user selects a row on the spreadsheet. This method will be defined in packages that use this package, such as iSPlot and iSNetwork.

### Author(s)

Elizabeth Whalen

### See Also

`genView-class`, `plotView-class`

### Examples

[Package MVCClass version 1.10.0 Index]